org.apache.xmlgraphics.java2d

## Interface GeneralGraphics2DImagePainter

- All Superinterfaces:
    Graphics2DImagePainter

      public interface GeneralGraphics2DImagePainter
      extends Graphics2DImagePainter

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addFallbackFont(java.lang.String name, java.lang.Object font)`
    `java.awt.Graphics2D` | `getGraphics(boolean textAsShapes, PSGenerator gen)`

    - ### Methods inherited from interface org.apache.xmlgraphics.java2d.Graphics2DImagePainter

      `getImageSize, paint`

- - ### Method Detail

    - #### getGraphics

          java.awt.Graphics2D getGraphics(boolean textAsShapes,
                                          PSGenerator gen)

    - #### addFallbackFont

          void addFallbackFont(java.lang.String name,
                               java.lang.Object font)

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.